<section class="teaser" 
{% if section.bg-color %} style="background-color: {{ section.bg-color }};"{% endif %}
>
    <div class="container-small">
      <div class="teaser_cont">
        <h1
        {% if section.text-color %} style="color: {{ section.text-color }};"{% endif %}
        >{{ section.teaser-title }}</h1>
        <p class="general-paragraph"
        {% if section.text-color %} style="color: {{ section.text-color }};"{% endif %}
        >{{ section.teaser-paragraph }}</p>
        <a class="general-button" href="{{ section.teaser-button-url }}">{{ section.teaser-button-text }}</a>
      </div>
    </div> 
    <img class="teaser_img" src="{{ site.baseurl }}{{ section.teaser-img }}" alt="teaser" >
</section>